<?php
/*
Plugin Name: List subpages
Plugin URI: http://zaantar.eu/index.php?page=list-subpages
Description: Namísto shortcode [list-subpages] vypíše seznam podstránek dané stránky, na které se tento nachází.
Version: 1.0
Author: Zaantar
Author URI: http://zaantar.eu
License: GPL2
*/

/*
    Copyright 2010 Zaantar (email: zaantar@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* ************************************************************************* *\
    SHORTCODE
\* ************************************************************************* */

add_shortcode( 'list-subpages', 'lsp_shortcode_handler' );

function lsp_shortcode_handler() {
	global $post;
	$children = wp_list_pages( array(
		'echo' => 0,
		'child_of' => $post->ID,
		'title_li' => ''
	) );
	
	return '<ul>'.$children.'</ul>';
}

?>
